Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.fileupload
Class DiskFileItemSerializeTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.commons.fileupload.DiskFileItemSerializeTest

All Implemented Interfaces:
  junit.framework.Test

    public class DiskFileItemSerializeTest

extends junit.framework.TestCase

Serialization Unit tests for `DiskFileItem`.

Constructor Summary
`DiskFileItemSerializeTest(java.lang.String name)` Standard JUnit test case constructor.

Method Summary
`void` | `testAboveThreshold()` Test creation of a field for which the amount of data falls above the configured threshold.
`void` | `testBelowThreshold()` Test creation of a field for which the amount of data falls below the configured threshold.
`void` | `testThreshold()` Test creation of a field for which the amount of data equals the configured threshold.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DiskFileItemSerializeTest

    public DiskFileItemSerializeTest(java.lang.String name)

  Standard JUnit test case constructor.

  Parameters:
    `name` - The name of the test case.

Method Detail

### testBelowThreshold

    public void testBelowThreshold()

  Test creation of a field for which the amount of data falls below the configured threshold.

### testThreshold

    public void testThreshold()

  Test creation of a field for which the amount of data equals the configured threshold.

### testAboveThreshold

    public void testAboveThreshold()

  Test creation of a field for which the amount of data falls above the configured threshold.

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2002-2008 The Apache Software Foundation. All Rights Reserved.